Bug 1259113 - Windows guest hang about 1 min when netperf connect to the server
Windows guest hang about 1 min when netperf connect to the server
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev (Show other bugs)
7.2
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Yan Vugenfirer
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 21:12 EDT by jingzhao
Modified: 2016-04-17 07:16 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-17 07:16:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The result for netperf ran on win10 guest (123.07 KB, image/png)
2015-09-01 21:14 EDT, jingzhao
no flags Details

  None (edit)
Description jingzhao 2015-09-01 21:12:37 EDT
Description of problem:
Windows guest hang about 1 min and didn't do any operation when netperf connect to the server

Version-Release number of selected component (if applicable):
qemu-kvm-rhev-2.3.0-21.el7
Host kernel: kernel-3.10.0-312.el7
Guest: win10-32

How reproducible:
100%

Steps to Reproduce:
1. boot win10 guest with cli:
/usr/libexec/qemu-kvm \
-M pc \
-cpu IvyBridge \
-nodefaults -rtc base=utc -no-hpet \
-m 2G \
-smp 4,sockets=2,cores=2,threads=1 \
-enable-kvm \
-name rhel7.2 \
-uuid 990ea161-6b67-47b2-b803-19fb01d30d12 \
-smbios type=1,manufacturer='Red Hat',product='RHEV Hypervisor',version=el6,serial=koTUXQrb,uuid=feebc8fd-f8b0-4e75-abc3-e63fcdb67170 \
-k en-us \
-monitor stdio \
-qmp tcp:0:6661,server,nowait \
-boot menu=on \
-bios /usr/share/seabios/bios.bin \
-serial unix:/tmp/serial0,server,nowait \
-vga cirrus \
-vnc :0  \
-netdev tap,id=hostnet0,vhost=on \
-device rtl8139,netdev=hostnet0,id=net0,mac=54:52:00:B6:40:21 \
-chardev socket,id=seabios,path=/tmp/seabios,server,nowait \
-device isa-debugcon,chardev=seabios,iobase=0x402 \
-usb \
-device usb-tablet,id=tablet0 \
-drive file=/home/window.qcow2,if=none,id=drive-virtio-disk0,format=qcow2,cache=none,werror=stop,rerror=stop,aio=threads \
-device ide-hd,drive=drive-virtio-disk0,id=ide-disk,bootindex=1 \
2.Run netperf server (netperf-debuginfo-2.6.0-7.el7.x86_64)with cli:"netserver start"
3.Run netperf client on win10 guest

Actual results:
win10 guest hang about 1 min and didn't do any operation, and then will display the result, the elpsed time are longer than the time which we set, please check the attachment for the netperf result.

Expected results:
netperf run successfully and win10 guest run successfully

Additional info:
I have verified with virtio-net-pci net device and win10 guest can run successfully
Comment 1 jingzhao 2015-09-01 21:14:13 EDT
Created attachment 1069259 [details]
The result for netperf ran on win10 guest
Comment 7 Yan Vugenfirer 2015-09-08 05:49:38 EDT
Can you please provide the netperf command that was used on VM?

Thanks.
Comment 8 jingzhao 2015-09-08 06:23:06 EDT
(In reply to Yan Vugenfirer from comment #7)
> Can you please provide the netperf command that was used on VM?
> 
> Thanks.

the cmd which we used: netperf -H serverip -l 60

Note You need to log in before you can comment on or make changes to this bug.